package w2phtml.xhtml.content;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import pro.litvinovg.xml.Debug;

public class PageContainer {

	private List<String> pageContanerStyles = null;
	public PageContainer() {
		pageContanerStyles = new ArrayList<String>(Arrays.asList(""));
	}
	
	public void setRootStyle(String style){
		pageContanerStyles.set(0, style);
	}
	public void addStyle(String style){
		pageContanerStyles.add(style);
	}
	public void removeStyle() {
		int size = pageContanerStyles.size();
		if (size < 2) {
			System.out.println("Tried to remove last container (page) style!");
			Debug.printStackTrace();
			System.exit(1);
		}
		pageContanerStyles.remove(size-1);
	}
	public String getCurrentStyle() {
		return pageContanerStyles.get(pageContanerStyles.size()-1);
	}
}
